Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Failed to install Storm/Slider via Ambari

Failed to install Storm/Slider via Ambari

New Contributor

Tried to install HDP 2.6.4 via Ambari. Everything else is fine except Storm due to slider installation failed. The root cause is

installing package storm_2_6_4_0_91-slider-client-1.1.0.2.6.4.0-91.x86_64 needs 8MB on the / filesystem

See the following log for more info.

stderr: 
2018-02-23 14:40:35,378 - The 'slider-client' component did not advertise a version. This may indicate a problem with the component packaging. However, the stack-select tool was able to report a single version installed (2.6.4.0-91). This is the version that will be reported.
Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/common-services/SLIDER/0.60.0.2.2/package/scripts/slider_client.py", line 62, in <module>
    SliderClient().execute()
  File "/usr/lib/ambari-agent/lib/resource_management/libraries/script/script.py", line 375, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/common-services/SLIDER/0.60.0.2.2/package/scripts/slider_client.py", line 45, in install
    self.install_packages(env)
  File "/usr/lib/ambari-agent/lib/resource_management/libraries/script/script.py", line 821, in install_packages
    retry_count=agent_stack_retry_count)
  File "/usr/lib/ambari-agent/lib/resource_management/core/base.py", line 166, in __init__
    self.env.run()
  File "/usr/lib/ambari-agent/lib/resource_management/core/environment.py", line 160, in run
    self.run_action(resource, action)
  File "/usr/lib/ambari-agent/lib/resource_management/core/environment.py", line 124, in run_action
    provider_action()
  File "/usr/lib/ambari-agent/lib/resource_management/core/providers/package/__init__.py", line 53, in action_install
    self.install_package(package_name, self.resource.use_repos, self.resource.skip_repos)
  File "/usr/lib/ambari-agent/lib/resource_management/core/providers/package/yumrpm.py", line 264, in install_package
    self.checked_call_with_retries(cmd, sudo=True, logoutput=self.get_logoutput())
  File "/usr/lib/ambari-agent/lib/resource_management/core/providers/package/__init__.py", line 266, in checked_call_with_retries
    return self._call_with_retries(cmd, is_checked=True, **kwargs)
  File "/usr/lib/ambari-agent/lib/resource_management/core/providers/package/__init__.py", line 283, in _call_with_retries
    code, out = func(cmd, **kwargs)
  File "/usr/lib/ambari-agent/lib/resource_management/core/shell.py", line 72, in inner
    result = function(command, **kwargs)
  File "/usr/lib/ambari-agent/lib/resource_management/core/shell.py", line 102, in checked_call
    tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
  File "/usr/lib/ambari-agent/lib/resource_management/core/shell.py", line 150, in _call_wrapper
    result = _call(command, **kwargs_copy)
  File "/usr/lib/ambari-agent/lib/resource_management/core/shell.py", line 303, in _call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of '/usr/bin/yum -d 0 -e 0 -y install storm_2_6_4_0_91-slider-client' returned 1. Transaction check error:
  installing package storm_2_6_4_0_91-slider-client-1.1.0.2.6.4.0-91.x86_64 needs 8MB on the / filesystem


Error Summary
-------------
Disk Requirements:
  At least 8MB more space needed on the / filesystem.
 stdout:
2018-02-23 14:40:34,577 - Stack Feature Version Info: Cluster Stack=2.6, Command Stack=None, Command Version=None -> 2.6
2018-02-23 14:40:34,583 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2018-02-23 14:40:34,584 - Group['livy'] {}
2018-02-23 14:40:34,585 - Group['spark'] {}
2018-02-23 14:40:34,586 - Group['hdfs'] {}
2018-02-23 14:40:34,586 - Group['zeppelin'] {}
2018-02-23 14:40:34,586 - Group['hadoop'] {}
2018-02-23 14:40:34,587 - Group['users'] {}
2018-02-23 14:40:34,587 - Group['knox'] {}
2018-02-23 14:40:34,587 - User['hive'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,590 - User['storm'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,592 - User['zookeeper'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,594 - User['infra-solr'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,596 - User['oozie'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'users'], 'uid': None}
2018-02-23 14:40:34,598 - User['atlas'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,600 - User['ams'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,602 - User['tez'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'users'], 'uid': None}
2018-02-23 14:40:34,604 - User['zeppelin'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'zeppelin', u'hadoop'], 'uid': None}
2018-02-23 14:40:34,607 - User['livy'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,609 - User['spark'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,611 - User['ambari-qa'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'users'], 'uid': None}
2018-02-23 14:40:34,613 - User['flume'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,615 - User['kafka'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,617 - User['hdfs'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hdfs'], 'uid': None}
2018-02-23 14:40:34,619 - User['sqoop'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,621 - User['yarn'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,623 - User['mapred'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,625 - User['hbase'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,627 - User['knox'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,629 - User['hcat'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-02-23 14:40:34,631 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'), 'mode': 0555}
2018-02-23 14:40:34,633 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa 0'] {'not_if': '(test $(id -u ambari-qa) -gt 1000) || (false)'}
2018-02-23 14:40:34,643 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa 0'] due to not_if
2018-02-23 14:40:34,644 - Directory['/tmp/hbase-hbase'] {'owner': 'hbase', 'create_parents': True, 'mode': 0775, 'cd_access': 'a'}
2018-02-23 14:40:34,646 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'), 'mode': 0555}
2018-02-23 14:40:34,650 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'), 'mode': 0555}
2018-02-23 14:40:34,652 - call['/var/lib/ambari-agent/tmp/changeUid.sh hbase'] {}
2018-02-23 14:40:34,668 - call returned (0, '55022')
2018-02-23 14:40:34,669 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh hbase /home/hbase,/tmp/hbase,/usr/bin/hbase,/var/log/hbase,/tmp/hbase-hbase 55022'] {'not_if': '(test $(id -u hbase) -gt 1000) || (false)'}
2018-02-23 14:40:34,676 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh hbase /home/hbase,/tmp/hbase,/usr/bin/hbase,/var/log/hbase,/tmp/hbase-hbase 55022'] due to not_if
2018-02-23 14:40:34,676 - Group['hdfs'] {}
2018-02-23 14:40:34,677 - User['hdfs'] {'fetch_nonlocal_groups': True, 'groups': ['hdfs', u'hdfs']}
2018-02-23 14:40:34,679 - FS Type: 
2018-02-23 14:40:34,679 - Directory['/etc/hadoop'] {'mode': 0755}
2018-02-23 14:40:34,693 - File['/usr/hdp/current/hadoop-client/conf/hadoop-env.sh'] {'content': InlineTemplate(...), 'owner': 'hdfs', 'group': 'hadoop'}
2018-02-23 14:40:34,694 - Directory['/var/lib/ambari-agent/tmp/hadoop_java_io_tmpdir'] {'owner': 'hdfs', 'group': 'hadoop', 'mode': 01777}
2018-02-23 14:40:34,711 - Repository['HDP-2.6-repo-1'] {'append_to_file': False, 'base_url': 'http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.4.0', 'action': ['create'], 'components': [u'HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2018-02-23 14:40:34,722 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.4.0\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-02-23 14:40:34,723 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-02-23 14:40:34,723 - Repository with url http://public-repo-1.hortonworks.com/HDP-GPL/centos7/2.x/updates/2.6.4.0 is not created due to its tags: set([u'GPL'])
2018-02-23 14:40:34,723 - Repository['HDP-UTILS-1.1.0.22-repo-1'] {'append_to_file': True, 'base_url': 'http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.22/repos/centos7', 'action': ['create'], 'components': [u'HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2018-02-23 14:40:34,727 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.4.0\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-UTILS-1.1.0.22-repo-1]\nname=HDP-UTILS-1.1.0.22-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.22/repos/centos7\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-02-23 14:40:34,727 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-02-23 14:40:34,728 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-23 14:40:35,163 - Skipping installation of existing package unzip
2018-02-23 14:40:35,163 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-23 14:40:35,206 - Skipping installation of existing package curl
2018-02-23 14:40:35,206 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-23 14:40:35,253 - Skipping installation of existing package hdp-select
2018-02-23 14:40:35,346 - call[('ambari-python-wrap', u'/usr/bin/hdp-select', 'versions')] {}
2018-02-23 14:40:35,378 - call returned (0, '2.6.4.0-91')
2018-02-23 14:40:35,378 - The 'slider-client' component did not advertise a version. This may indicate a problem with the component packaging. However, the stack-select tool was able to report a single version installed (2.6.4.0-91). This is the version that will be reported.
2018-02-23 14:40:35,649 - Command repositories: HDP-2.6-repo-1, HDP-2.6-GPL-repo-1, HDP-UTILS-1.1.0.22-repo-1
2018-02-23 14:40:35,650 - Applicable repositories: HDP-2.6-repo-1, HDP-2.6-GPL-repo-1, HDP-UTILS-1.1.0.22-repo-1
2018-02-23 14:40:35,653 - Looking for matching packages in the following repositories: HDP-2.6-repo-1, HDP-2.6-GPL-repo-1, HDP-UTILS-1.1.0.22-repo-1
2018-02-23 14:40:41,709 - Adding fallback repositories: HDP-UTILS-1.1.0.22, HDP-2.6.4.0
2018-02-23 14:40:45,021 - Package['slider_2_6_4_0_91'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-23 14:40:45,485 - Installing package slider_2_6_4_0_91 ('/usr/bin/yum -d 0 -e 0 -y install slider_2_6_4_0_91')
2018-02-23 14:41:34,694 - Package['storm_2_6_4_0_91-slider-client'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-02-23 14:41:34,732 - Installing package storm_2_6_4_0_91-slider-client ('/usr/bin/yum -d 0 -e 0 -y install storm_2_6_4_0_91-slider-client')
2018-02-23 14:42:59,109 - Execution of '/usr/bin/yum -d 0 -e 0 -y install storm_2_6_4_0_91-slider-client' returned 1. Transaction check error:
  installing package storm_2_6_4_0_91-slider-client-1.1.0.2.6.4.0-91.x86_64 needs 8MB on the / filesystem


Error Summary
-------------
Disk Requirements:
  At least 8MB more space needed on the / filesystem.
2018-02-23 14:42:59,110 - Failed to install package storm_2_6_4_0_91-slider-client. Executing '/usr/bin/yum clean metadata'
2018-02-23 14:42:59,767 - Retrying to install package storm_2_6_4_0_91-slider-client after 30 seconds


Command failed after 1 tries


6 REPLIES 6

Re: Failed to install Storm/Slider via Ambari

Super Mentor

@Zaili Xu

Please check if you have enough space on the mentioned host where storm installation if failing?

At least 8MB more space needed on the / filesystem.

.

Re: Failed to install Storm/Slider via Ambari

New Contributor

Thank you, Jay, for the reply.

How much disk space under / file system does the entire HDP 2.6.4 require ? Can we designate another disk drive for the installation ?

Re: Failed to install Storm/Slider via Ambari

Super Mentor

@Zaili Xu

A complete installation of HDP 2.6.0 consumes about 6.5 GB of disk space. (same applies for HDP-2.6.4 as well)

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.6.4/bk_command-line-installation/content/meet-m...

Re: Failed to install Storm/Slider via Ambari

New Contributor

Ok. All under / ? The entire disk space under / is only 9.5 G although the entire space of all disks of the host is 200G. Is there anyway configure the HDP installation to use other directories as installation root ?

Re: Failed to install Storm/Slider via Ambari

Super Mentor

@Zaili Xu

Ambari and HDP are installed via RPM files. Those RPMs do not support specifying an alternative install location (default location for HDP install is "/usr/hdp"). Your best option is probably to use symbolic links to another location. Means you can try to create a Symlink for "/usr/hdp" to another mount point. (But this will be just a workaround)

Or else it is better to make sure that "/" has enough space.

.

Re: Failed to install Storm/Slider via Ambari

Super Mentor

@Zaili Xu

Do you have any additional query in the current context of this HCC thread? If not then can you please mark this HCC thread as "answered" by clicking on the "Accept" button on the correct answer.